Source: golang-github-smira-commander
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-github-smira-flag-dev,
               golang-any
Standards-Version: 4.1.4
Homepage: https://github.com/smira/commander
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smira-commander
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smira-commander.git
XS-Go-Import-Path: github.com/smira/commander
Testsuite: autopkgtest-pkg-go

Package: golang-github-smira-commander-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-smira-flag-dev
Description: library to provide command-line commands and sub-commands
 Package commander is a fork of a spin off of golang  go tool
 infrastructure to provide commands and sub-commands.
 .
 This package is a fork of t he original commander package, with the
 following modifications:
   - flags could be placed anywhere on the command line
   - flags in whole subcommand tree should be non-conflicting
     (i.e. one name - one value type)
   - interface has changed: first flags should be parsed, then command
     dispatched
